'//////////////////////////////////////////////////////////////////////////////
'//
'//  Copyright 2025 Autodesk, Inc.  All rights reserved.
'//
'//  Use of this software is subject to the terms of the Autodesk license 
'//  agreement provided at the time of installation or download, or which 
'//  otherwise accompanies this software in either electronic or hard copy form.   
'//
'//////////////////////////////////////////////////////////////////////////////
'

Imports Autodesk.AutoCAD.Interop
Imports System.Runtime.InteropServices
Imports Autodesk.AutoCAD.Runtime

<Assembly: ExtensionApplication(GetType(NetNote.NoteAPP))>
<Assembly: CommandClass(GetType(NetNote.NoteCommand))>
Namespace NetNote
    Public Class NoteAPP
        Implements Autodesk.AutoCAD.Runtime.IExtensionApplication
        Public Sub Initialize() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Initialize

        End Sub
        Public Sub Terminate() Implements Autodesk.AutoCAD.Runtime.IExtensionApplication.Terminate

        End Sub
    End Class

    Public Class NoteCommand
        <Autodesk.AutoCAD.Runtime.CommandMethod("CREATENOTESYM")>
        Public Sub commandMethod()
            Dim notedlg As New Notefrm
            If notedlg.display Then
                notedlg.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
                notedlg.Show()
            End If
        End Sub
    End Class
End Namespace
